import request from "@/utils/request";
import { useAppStore } from "@/stores/app";
import { useUserStore } from "@/stores/user";

const appStore = useAppStore()
const userStore = useUserStore()

/**
 * 获取当前督察组
 * @param {*} pid 督察类型
 */
export function getCurrGroup(pid) {
    return request({
        url: '/dc/insp/base/getCurrGroup',
        method: 'GET',
        params: { pid }
    })
}

/**
 * 获取历史稽察年份数据
 * @param {*} pid 督察类型
 */
export function getInspBaseByPersid(pid) {
    const ownApp = appStore.ownApp
    const userid = userStore.userId
    return request({
        url: '/dc/insp/base/getByPersid',
        method: 'GET',
        params: { pid, ownApp, userid, tabType: 0 }
    })
}