import { createApp } from 'vue';
import {createPinia} from 'pinia';
import Vant from 'vant';
import App from './App.vue';
import router from './router';

import 'vant/lib/index.css';
import '@/assets/styles/index.scss';

const app = createApp(App).use(Vant).use(createPinia()).use(router);

// Lazyload 指令需要单独进行注册
app.use(Vant.Lazyload);

app.mount('#app');
